clang-tools 6.0.0

Namespaces | Functions
ASTUtils.h File Reference
`#include "clang/AST/AST.h"`
Include dependency graph for ASTUtils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::utils

## Functions
const FunctionDecl * | clang::tidy::utils::getSurroundingFunction (ASTContext &Context, const Stmt &Statement)
bool | clang::tidy::utils::IsBinaryOrTernary (const Expr *E)
bool | clang::tidy::utils::exprHasBitFlagWithSpelling (const Expr *Flags, const SourceManager &SM, const LangOptions &LangOpts, StringRef FlagName)
| Checks whether a macro flag is present in the given argument. More...